/* A silly little player for sco files created from MIDI by midi2sco */
/* ...just plays sine waves for channels 1-9, 11,15 and a simple 'brush on 10.
   Use midi2sco's default settings (but maybe a lower scaling if it overloads)
 */

; Initialize the global variables.
sr = 44100
kr = 4410
ksmps = 10
nchnls = 1

giSine0  ftgen 1, 0, 16384, 10, 1
;;; as a future alternative:
giSine1  ftgen 1, 0, 16384, 10, 1, .02, .01


; Instrument #1 - a basic oscillator.
instr 1
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #2 - 2nd verse... same as the first....
instr 2
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #3 - a basic oscillator.
instr 3
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #4 - a basic oscillator.
instr 4
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #5 - a basic oscillator.
instr 5
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #6 - a basic oscillator.
instr 6
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #7 - a basic oscillator.
instr 7
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #8 - a basic oscillator.
instr 8
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #9 - a basic oscillator.
instr 9
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #10 - sort of percussion...!
instr 10
  ijunk = p5 ;to suppress warnings

  kamp adsr 0.01, p3/5-0.01, 0.3, 4*p3/5
  kamp = kamp*p4
  ; Change the beta value linearly from 0 to 1.
  kbeta line 0, p3, 1

  a1 noise kamp, kbeta
  out a1
endin


; Instrument #11 - a basic oscillator.
instr 11
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #12 - a basic oscillator.
instr 12
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #13 - a basic oscillator.
instr 13
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #14 - a basic oscillator.
instr 14
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #15 - a basic oscillator.
instr 15
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin


; Instrument #16 - a basic oscillator.
instr 16
  ifn = giSine0
  icps = cpspch(p5)
  
  kamp linen p4, 0.01, p3, 0.05

  a1 oscil kamp, icps, ifn
  out a1
endin

